No problem. In fact, some sites are running with php 5.4.x instance that launched from the AMI AMIMOTO.

Recently the remi repository began distributing PHP 5.4, so you can update to php 5.4 with the following command:

# yum --enablerepo=remi update php php-*
Did this answer your question?